Package: org.apache.groovy.contracts.common.impl.lc

## [Java] Class PreconditionLifecycle

- org.apache.groovy.contracts.common.impl.lc.PreconditionLifecycle

-     public class PreconditionLifecycle
      extends BaseLifecycle

  Internal Lifecycle implementation for pre-conditions.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `afterProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)` Adds inherited default preconditions to the supplied method when needed.
    `` | `public void` | `beforeProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)` Adds inherited default preconditions to the supplied constructor when needed.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BaseLifecycle` | `afterProcessingClassNode, afterProcessingConstructorNode, afterProcessingMethodNode, beforeProcessingClassNode, beforeProcessingConstructorNode, beforeProcessingMethodNode`

- - ### Method Detail

    - #### public void afterProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)

      Adds inherited default preconditions to the supplied method when needed.

      Parameters:
        `processingContextInformation` - the current processing context
        `classNode` - the declaring class
        `methodNode` - the method to update

    - #### public void beforeProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)

      Adds inherited default preconditions to the supplied constructor when needed.

      Parameters:
        `processingContextInformation` - the current processing context
        `classNode` - the declaring class
        `constructorNode` - the constructor to update